> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/users.md).

# Users

users

## POST /users

> create UserAccount

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.moqui.impl.UserServices.createUserAccount.Out":{"type":"object","properties":{"userId":{"type":"string"}},"required":["userId"]},"org.moqui.impl.UserServices.createUserAccount.In":{"type":"object","properties":{"username":{"type":"string"},"userFullName":{"type":"string"},"resetPasswordSetDate":{"type":"string","format":"date-time"},"passwordHint":{"type":"string"},"publicKey":{"type":"string"},"disabled":{"type":"string","default":"N"},"terminateDate":{"type":"string","format":"date-time"},"requirePasswordChange":{"type":"string","default":"N"},"currencyUomId":{"type":"string"},"locale":{"type":"string"},"timeZone":{"type":"string"},"externalUserId":{"type":"string"},"emailAddress":{"type":"string"},"ipAllowed":{"type":"string"},"partyId":{"type":"string"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"},"newPassword":{"type":"string"},"newPasswordVerify":{"type":"string"}},"required":["username","newPassword","newPasswordVerify"]}}},"paths":{"/users":{"post":{"tags":["users"],"summary":"create UserAccount","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.UserServices.createUserAccount.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.UserServices.createUserAccount.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.UserServices.createUserAccount.In"}}},"required":true}}}}}
```

## get UserAccountDetails

> Return the limited user account fields needed by admin callers.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.util.UserServices.getUserAccountDetails.Out":{"type":"object","properties":{"userId":{"type":"string"},"username":{"type":"string"},"externalUserId":{"type":"string"},"userFullName":{"type":"string"},"disabled":{"type":"string"},"hasLoggedOut":{"type":"string"},"partyId":{"type":"string"}}}}},"paths":{"/users/{userId}":{"get":{"tags":["users"],"summary":"get UserAccountDetails","description":"Return the limited user account fields needed by admin callers.","parameters":[{"schema":{"type":"string"},"name":"userId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.util.UserServices.getUserAccountDetails.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## GET /users/{userId}/groups

> list UserGroupAndMember

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"moqui.security.UserGroupAndMember":{"title":"User Group And Member","type":"object","properties":{"_entity":{"type":"string","default":"moqui.security.UserGroupAndMember"},"userGroupId":{"type":"string"},"userId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"description":{"type":"string"},"groupTypeEnumId":{"type":"string"},"ipAllowed":{"type":"string"},"requireAuthcFactor":{"type":"string"}}}}},"paths":{"/users/{userId}/groups":{"get":{"tags":["users"],"summary":"list UserGroupAndMember","description":null,"parameters":[{"schema":{"type":"string"},"name":"userId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"userGroupId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"fromDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"thruDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"description","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"groupTypeEnumId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"ipAllowed","in":"query","required":false,"description":"See UserAccout.ipAllowed"},{"schema":{"type":"string","format":""},"name":"requireAuthcFactor","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/moqui.security.UserGroupAndMember"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## create UserGroupMember

> Replaces POST /admin/users/{userId}/groups

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.security.SecurityServices.createUserGroupMember.Out":{"type":"object","properties":{"userId":{"type":"string"},"userGroupId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"}}},"co.hotwax.security.SecurityServices.createUserGroupMember.In":{"type":"object","properties":{"userId":{"type":"string"},"userGroupId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"}},"required":["userId","userGroupId"]}}},"paths":{"/users/{userId}/groups":{"post":{"tags":["users"],"summary":"create UserGroupMember","description":"Replaces POST /admin/users/{userId}/groups","parameters":[{"schema":{"type":"string"},"name":"userId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.security.SecurityServices.createUserGroupMember.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.security.SecurityServices.createUserGroupMember.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.security.SecurityServices.createUserGroupMember.In"}}},"required":true}}}}}
```

## update UserGroupMember

> Replaces PUT /admin/users/{userId}/groups (soft-expire via thruDate)

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.security.SecurityServices.updateUserGroupMember.In":{"type":"object","properties":{"userId":{"type":"string"},"userGroupId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"}},"required":["userId","userGroupId","fromDate"]}}},"paths":{"/users/{userId}/groups":{"put":{"tags":["users"],"summary":"update UserGroupMember","description":"Replaces PUT /admin/users/{userId}/groups (soft-expire via thruDate)","parameters":[{"schema":{"type":"string"},"name":"userId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.security.SecurityServices.updateUserGroupMember.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.security.SecurityServices.updateUserGroupMember.In"}}},"required":true}}}}}
```

## get UserProfileImage

> Stream the given user's current profile (PcntLogoImage) image bytes directly to the HTTP response with the\
> &#x20;           correct Content-Type.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/users/{userId}/profileImage":{"get":{"tags":["users"],"summary":"get UserProfileImage","description":"Stream the given user's current profile (PcntLogoImage) image bytes directly to the HTTP response with the\n            correct Content-Type.","parameters":[{"schema":{"type":"string"},"name":"userId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## upload UserProfileImage

> Create or replace the given user's profile (PcntLogoImage) image.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.util.UserServices.uploadUserProfileImage.Out":{"type":"object","properties":{"partyId":{"type":"string"},"partyContentId":{"type":"string"}}},"co.hotwax.util.UserServices.uploadUserProfileImage.In":{"type":"object","properties":{"userId":{"type":"string"},"contentFile":{"type":"string"}},"required":["userId","contentFile"]}}},"paths":{"/users/{userId}/profileImage":{"post":{"tags":["users"],"summary":"upload UserProfileImage","description":"Create or replace the given user's profile (PcntLogoImage) image.","parameters":[{"schema":{"type":"string"},"name":"userId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.util.UserServices.uploadUserProfileImage.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.util.UserServices.uploadUserProfileImage.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.util.UserServices.uploadUserProfileImage.In"}}},"required":true}}}}}
```

## update Password

> Set a user's password. The userId must match the current user and the oldPassword must match the\
> &#x20;           user's currentPassword or special permission is required, or user has already pre-authenticated and specified an authz code.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.moqui.impl.UserServices.updatePassword.Out":{"type":"object","properties":{"username":{"type":"string"},"passwordIssues":{"type":"boolean"},"updateSuccessful":{"type":"boolean"}}},"org.moqui.impl.UserServices.updatePassword.In":{"type":"object","properties":{"userId":{"type":"string","description":"Defaults to the current userId in the ExecutionContext."},"username":{"type":"string","description":"May be used instead of userId to identify user."},"oldPassword":{"type":"string","description":"Ignored if user has password admin permissions."},"newPassword":{"type":"string"},"newPasswordVerify":{"type":"string"},"code":{"type":"string","description":"Second factor authentication, required if second factor required for user (via group or authc factors configured)"}},"required":["oldPassword","newPassword","newPasswordVerify"]}}},"paths":{"/users/{userId}/password/update":{"post":{"tags":["users"],"summary":"update Password","description":"Set a user's password. The userId must match the current user and the oldPassword must match the\n            user's currentPassword or special permission is required, or user has already pre-authenticated and specified an authz code.","parameters":[{"schema":{"type":"string"},"name":"userId","in":"path","required":true,"description":"Defaults to the current userId in the ExecutionContext."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.UserServices.updatePassword.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.UserServices.updatePassword.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.UserServices.updatePassword.In"}}},"required":true}}}}}
```

## update Password

> Set a user's password. The userId must match the current user and the oldPassword must match the\
> &#x20;           user's currentPassword or special permission is required, or user has already pre-authenticated and specified an authz code.

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.moqui.impl.UserServices.updatePassword.Out":{"type":"object","properties":{"username":{"type":"string"},"passwordIssues":{"type":"boolean"},"updateSuccessful":{"type":"boolean"}}},"org.moqui.impl.UserServices.updatePassword.In":{"type":"object","properties":{"userId":{"type":"string","description":"Defaults to the current userId in the ExecutionContext."},"username":{"type":"string","description":"May be used instead of userId to identify user."},"oldPassword":{"type":"string","description":"Ignored if user has password admin permissions."},"newPassword":{"type":"string"},"newPasswordVerify":{"type":"string"},"code":{"type":"string","description":"Second factor authentication, required if second factor required for user (via group or authc factors configured)"}},"required":["oldPassword","newPassword","newPasswordVerify"]}}},"paths":{"/users/{userId}/changePassword":{"post":{"tags":["users"],"summary":"update Password","description":"Set a user's password. The userId must match the current user and the oldPassword must match the\n            user's currentPassword or special permission is required, or user has already pre-authenticated and specified an authz code.","parameters":[{"schema":{"type":"string"},"name":"userId","in":"path","required":true,"description":"Defaults to the current userId in the ExecutionContext."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.UserServices.updatePassword.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.UserServices.updatePassword.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.UserServices.updatePassword.In"}}},"required":true}}}}}
```

## POST /users/sendResetPasswordMail

> reset Password

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.moqui.impl.UserServices.resetPassword.In":{"type":"object","properties":{"userId":{"type":"string"},"username":{"type":"string","description":"May be used instead of userId to identify user."}}}}},"paths":{"/users/sendResetPasswordMail":{"post":{"tags":["users"],"summary":"reset Password","description":null,"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.UserServices.resetPassword.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.moqui.impl.UserServices.resetPassword.In"}}},"required":true}}}}}
```

## GET /users/productStores

> list ProductStoreRole

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.product.store.ProductStoreRole":{"title":"Product Store Role","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.store.ProductStoreRole"},"partyId":{"type":"string"},"roleTypeId":{"type":"string"},"productStoreId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"sequenceNum":{"type":"number","format":"int64"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/users/productStores":{"get":{"tags":["users"],"summary":"list ProductStoreRole","description":null,"parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"partyId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"roleTypeId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productStoreId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"fromDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"thruDate","in":"query","required":false,"description":null},{"schema":{"type":"number","format":"int64"},"name":"sequenceNum","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"createdStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/org.apache.ofbiz.product.store.ProductStoreRole"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## POST /users/productStores

> create ProductStoreRole

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.product.store.ProductStoreRole.PK":{"title":"Product Store Role","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.store.ProductStoreRole.PK"},"partyId":{"type":"string"},"roleTypeId":{"type":"string"},"productStoreId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.product.store.ProductStoreRole":{"title":"Product Store Role","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.store.ProductStoreRole"},"partyId":{"type":"string"},"roleTypeId":{"type":"string"},"productStoreId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"sequenceNum":{"type":"number","format":"int64"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/users/productStores":{"post":{"tags":["users"],"summary":"create ProductStoreRole","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.store.ProductStoreRole.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.store.ProductStoreRole"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.store.ProductStoreRole"}}},"required":false}}}}}
```

## PUT /users/productStores

> update ProductStoreRole

```json
{"openapi":"3.1.1","info":{"title":"Commerce Admin REST API","version":"4.0.0"},"tags":[{"name":"users","description":"users"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/admin"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"org.apache.ofbiz.product.store.ProductStoreRole.PK":{"title":"Product Store Role","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.store.ProductStoreRole.PK"},"partyId":{"type":"string"},"roleTypeId":{"type":"string"},"productStoreId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"}}},"org.apache.ofbiz.product.store.ProductStoreRole":{"title":"Product Store Role","type":"object","properties":{"_entity":{"type":"string","default":"org.apache.ofbiz.product.store.ProductStoreRole"},"partyId":{"type":"string"},"roleTypeId":{"type":"string"},"productStoreId":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"sequenceNum":{"type":"number","format":"int64"},"lastUpdatedStamp":{"type":"string","format":"date-time"},"createdStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/users/productStores":{"put":{"tags":["users"],"summary":"update ProductStoreRole","description":null,"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.store.ProductStoreRole.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.store.ProductStoreRole"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/org.apache.ofbiz.product.store.ProductStoreRole"}}},"required":false}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/admin/users.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
